﻿<?php
/**
 * title：系统提示信息 
 * author：六久阁 www.lol9.cn 
 * titme：2018.2.3	
 ===================================
 * 短消息函数,可以在某个动作处理后友好的提示信息
 * @param     string  $msg      消息提示信息
 * @param     string  $gourl    跳转地址
 * @param     int     $onlymsg  仅显示信息
 * @param     int     $limittime  限制时间
 * @return    void
*/ 

function ShowMsg($msg, $gourl, $onlymsg=0, $limittime=0)
{
	//提示窗口的标题
	$title = "友情提示"; 
	//提示框风格 具体可选 default | aero | chrome | opera | simple | idialog | twitter | blue |  black | green
	$skin = "default";
	
	/*
	这里使用的为cmsjoy的公用js库,你也可以到artDialog的google code地址
	下载该文件，将文件存放到系统当前模版目录下的js目录然后去除第28行的 "//" 在第29行前添加上 "//"
	*/
	//artDialog js地址
	
	//$jsurl = $GLOBALS['cfg_basehost']."/templets/".$GLOBALS['cfg_df_style']."/js/artDialog4.1.4/artDialog.js?skin=".$skin;
	$jsurl = "http://www.sitejs.com/templets/skins/js/artDialog/artDialog.source.js?skin".$skin;

	
    if(empty($GLOBALS['cfg_plus_dir'])) $GLOBALS['cfg_plus_dir'] = '..';
	
	$litime = ($limittime==0 ? 1000 : $limittime);
	
	if($gourl=='-1')
	{
		if($limittime==0) $litime = 5000;
		$gourl = "javascript:history.go(-1);";
	}
	
	//msg 内容处理引号
	$msg = str_replace('"','\"',$msg);
	$msg_str = 
<<<EOT
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset={$GLOBALS['cfg_soft_lang']}" />
<script type="text/javascript" src="{$jsurl}" charset='{$GLOBALS['cfg_soft_lang']}'></script>
<style>
* {
	margin:0;
	padding:0;
	color:#333;
	font-size:12px;
}
body {
	background-color:#FFF;
}
</style>
</head>
<body>
<script type="text/javascript">
var pgo=0;
function JumpUrl(){ if(pgo==0){ location=' {$gourl}'; pgo=1;  } }
setTimeout('JumpUrl()',$litime);
function showmsg(){
	art.dialog({
		title:'{$title}',
		icon: 'warning',
		content:"{$msg}",
		fixed: true,
		ok: function(){JumpUrl();return}
	})
}
showmsg();
</script>
</body>
</html>
EOT;

	//如果gourl为空或者设定为alert模式
	if($gourl=='' || $onlymsg==1)
	{
		$msg_str = "<script>alert(\"".str_replace("\"","“",$msg)."\");</script>";
	}

	echo $msg_str;
}
?>